//import QtQuick 1.0
import Qt 4.7
import "sourceQml"
Rectangle {
    id: baseRectID
    width: 640
    height: 360
    //color:"lightsteelblue"
    color:"grey"
//    gradient: Gradient{
//        GradientStop{position: 1.0;color:"black"}
//        GradientStop{position: 0.0;color:"grey"}
//    }//gradient

    PdfPathView{
    id: pdfPathViewID
    anchors.fill: parent
    }//pdfPathViewID


PdfMenu{
    id:pdfMenuID
    width: baseRectID.width
    height: 60
    dragMax: baseRectID.height
    y: baseRectID.height-pdfMenuID.height
    onSignalOpenDialog: {openDialogComponentID.createObject(baseRectID);}
    onSignalBack3D: {pdfPathViewID.back3D();pdfPathViewID.visiblePath=true}
    onSignalAbout: aboutComponentID.createObject(baseRectID)
    onSignalZoomIn: if(!pdfPathViewID.visiblePath){pdfObject.zoomIn()}
    onSignalZoomOut: if(!pdfPathViewID.visiblePath){pdfObject.zoomOut()}
    onSignalNext: if(!pdfPathViewID.visiblePath){pdfObject.nextPage()}
    onSignalBack: if(!pdfPathViewID.visiblePath){pdfObject.backPage()}
    onSignalClose: Qt.quit()
}//pdfMenuID

Component{
    id:aboutComponentID
    About{
        id: aboutID
        anchors.fill: parent
        aboutImageSource:"icon/aboutText.png"
         }//aboutID
}//aboutComponentID

Component{
    id:openDialogComponentID
PdfOpenFileDialog{
    id: openDialogID
    anchors.fill: parent
}//openDialogID
}//openDialogComponentID

}//baseRectID
