//import QtQuick 1.0
import Qt 4.7
import QPdfQmlImageElement 1.0

Flickable{
        id:flickableID
        anchors.fill: parent
    property int page:0
    property variant imageSourceData:""

    function setViewPage(pageNum){
        pdfObject.stopThread()
        pdfObject.pagePixmapData.connect(setImageSource)
        pdfObject.getPagePixmapData(page,100)
    }//setViewPage

    function setImageSource(vData,page){imageSourceData=vData}

    function runDestroy(){flickableID.destroy()}

    onPageChanged: setViewPage(page)


 contentWidth: pdfFullImageID.width
 contentHeight: pdfFullImageID.height
 smooth:false
 PdfImage{
     id:pdfFullImageID
     width: flickableID.width
     height:flickableID.height
     smooth: false
     imageSource:imageSourceData
 onWidthChanged: flickableID.contentWidth=pdfFullImageID.width
 onHeightChanged: flickableID.contentHeight=pdfFullImageID.height
 }//PdfImage

}//flickableID
