//import QtQuick 1.0
import Qt 4.7 //for maemo
//import QtWebKit 1.0
//import QtMobility.feedback 1.1
Rectangle{
    id: baseRect
width: 360
height: 640
color: Qt.rgba(0.0,0.0,0.0,0.7)

    property int rectWidth: 320
    property int rectHeight: 200
    property color rectColor: "blue"//Qt.rgba(150,150,150,150)
    property real opacityRect: 0.9
    property color borderColor: "green"
    property int borderWidth: 5
    property int rectRadius:30
    //close
    property int closeWidth:50
    property int closeHeight:50
    property int closeRadius:20
    property color closeColor:"black"
    property real closeOpacity: 1.0
    property int closeBorderWidth: 2
    property color closeBorderColor: "white"
    //webView
    property url aboutUrl: "http://www.ekimoff.com/start"
    property string aboutImageSource: ""

Rectangle{
id: about
anchors.centerIn: parent
width: rectWidth
height: rectHeight
radius: rectRadius
color: rectColor
opacity: opacityRect
border.width: borderWidth
border.color: borderColor
smooth: true
        }//borderRectID

Image {
    id: aboutImage
    source: aboutImageSource
    anchors.centerIn: about
}


Rectangle{
    id: closeRect
    anchors.top: about.top; anchors.topMargin: -closeHeight/2-10
    anchors.right: about.right
    state: "RELEASED"
    width: closeWidth
    height: closeHeight
    radius: closeRadius
    color: closeColor
    opacity: closeOpacity
    border.color: closeBorderColor
    border.width: closeBorderWidth
    smooth: true
    Text {
        id: text
        anchors.centerIn: parent
        text: "X"
        font.pointSize: 10
        font.bold: true
        color: "red"
    }//Text



    states: [State {
        name: "PRESSED"
        PropertyChanges {
            target: closeRect
            //opacity:0.5
        }},
        State {
            name: "RELEASED"
            PropertyChanges {
                target: closeRect
                //opacity:1.0

            }
        }]

    transitions: [
        Transition {
            from: "PRESSED"
            to: "RELEASED"
            NumberAnimation { target: closeRect; property: "scale"; to: 1.0; duration: 100 }

        },
        Transition {
            from: "RELEASED"
            to: "PRESSED"
            NumberAnimation { target: closeRect; property: "scale"; to: 1.5; duration: 100 }
        }
    ]

    }//closeRect

MouseArea{
    anchors.fill: parent
    onPressed: {closeRect.state="PRESSED"; serviceObject.startVibro(30)}
    onReleased: {closeRect.state="RELEASED";boutTimer.running=true}
      }//mouseArea

Timer{
    //Qt.quit()
    id:boutTimer
    interval: 100
    repeat: false
    running: false
    onTriggered: {serviceObject.startVibro(30); baseRect.visible=false}
}//timer


}//baseRect

