//import QtQuick 1.0
import Qt 4.7

Rectangle{
    id: baseRectID
    width:60
    height: 60
    color:"transparent"
    state: "RELEASED"
    smooth:false

    property string imageSource:""

    signal clickedSignal()

    Image{
        id:itemImageID
        source: imageSource
        anchors.fill: parent
        }//itemImageID

    MouseArea{
    anchors.fill: parent
    onClicked: {serviceObject.startVibro(30);clickedSignal()}//onClicked
    onPressed: baseRectID.state="PRESSED"
    onReleased: baseRectID.state="RELEASED"
    }//MouseArea

    states: [State {name: "PRESSED";},State {name: "RELEASED"}]

    transitions: [
        Transition {
            from: "RELEASED"
            to: "PRESSED"
            ParallelAnimation{
            NumberAnimation { target: itemImageID; property: "scale"; to: 1.5; duration: 200 }
            NumberAnimation { target: itemImageID; property: "opacity"; to: 0.5; duration: 200 }
            }
        },
        Transition {
            from: "PRESSED"
            to: "RELEASED"
            ParallelAnimation{
            NumberAnimation { target: itemImageID; property: "scale"; to: 1.0; duration: 200 }
            NumberAnimation { target: itemImageID; property: "opacity"; to: 1.0; duration: 200}
            //onStarted: console.debug("# clicked!")// /*if(running==false)*/{serviceObject.startVibro(30);baseRectID.clickedSignal()}//onClicked
            }
        }
    ]
}//baseRectID
