//import QtQuick 1.0
import Qt 4.7
import QPdfQmlImageElement 1.0

Rectangle {
    id: baseRectID
    width: 360
    height: 360
    //color:"transparent"
    smooth: false

    border.width: 2
    border.color: "black"
    //radius: 20

    gradient:Gradient{
        GradientStop{position: 0.0;color:"lightblue"}
        GradientStop{position: 1.0;color:"lightgrey"}
    }

    property string sourceImage:""
    property int rotationAngle:0
    property int page:-1
    property variant imageSourceData:""
    property bool inPath: false

    signal pageClicked(int page)

    function setPagePreview(vData,pageNum){
                if(pageNum==page){
                    pdfImageID.imageSource=vData;
                }
    }//setPageIcon

    transform: Rotation {axis { x: 0; y: 1; z: 0 } angle:rotationAngle }
    onPageChanged: {if(page==0){textLoadingID.color="black";textLoadingID.text="Drag Up Menu \n and \n Open File";}else{textLoadingID.color="white";textLoadingID.text="Loading... \n page: "+page;pageTextID.text=page}}
    Text{
        id:textLoadingID
        width: baseRectID.width
        anchors.centerIn: parent
        color: "white"
        horizontalAlignment: Text.AlignHCenter
        font.bold: true
        font.italic: true
        font.pixelSize: 15
        }//textLoadingID

PdfImage{
    id:pdfImageID
    width: baseRectID.width
    height:baseRectID.height
    anchors.centerIn: parent
    //fillMode: Image.PreserveAspectFit
    smooth: baseRectID.smooth
imageSource:imageSourceData
Component.onCompleted: {pdfObject.pagePreview.connect(baseRectID.setPagePreview);pdfObject.addPageToPreviewList(page,pdfImageID.width,pdfImageID.height);}
}//PdfImage

//onInPathChanged: pdfObject.addPageToPreviewList(page,pdfImageID.width,pdfImageID.height);

Text{
    id:pageTextID
    color:"grey"
    anchors.horizontalCenter: baseRectID.horizontalCenter
    anchors.bottom: baseRectID.bottom; anchors.bottomMargin: 10
    font.pixelSize: 30
    font.bold: true
    font.italic: true
}//pageTextID

MouseArea{
    anchors.fill: parent
    onClicked: {serviceObject.startVibro(30);pageClicked(page);}
}

}//baseREctID
