//import QtQuick 1.0
import Qt 4.7

Item {
    id:baseRectID
    width: 640
    height: 360
    smooth:false
   // color: "white"

    property int currentPage: 1
    property bool destroyFullView:false
    property bool visiblePath: true

    function createNewListModel(sucess){
        console.debug("#!!!!!!!!!!!!!!!! start create list elements")
        if(sucess){
            listModelID.clear()
            var i
            for(i=1;i<pdfObject.getPageCount()+1;i++){
            listModelID.append({pageNum:i})
            }//for
        }//if
        else{console.debug("Cant open file!")}
    }//createNewListModel

    signal back3D()



    ListModel{
        id: listModelID
        ListElement{pageNum:0}
    }//listModelID

    Component.onCompleted: pdfObject.opened.connect(baseRectID.createNewListModel)

    Component{
        id:delegeteID
    PdfPathDelegate{
                id:pathDelegateID
                width: baseRectID.height/1.4
                height: baseRectID.height
                scale: PathView.scaleItem
                rotationAngle:PathView.rotationAngle
                opacity: PathView.opaityItem
                page:pageNum
                z:PathView.zItem
                inPath: PathView.onPath
                onPageClicked: {baseRectID.visiblePath=false;baseRectID.currentPage=pathDelegateID.page;if(page!=0){pdfFullViewComponentID.createObject(baseRectID);}}
//                Component.onCompleted: pdfObject.addPageToPreviewList(page,pathDelegateID.width,pathDelegateID.height);
                   } //pathDelegateID
    }//delegateID

//    Component {
//        id: highlightID
//        Rectangle { width: baseRectID.height; height: baseRectID.height; color: "transparent" }
//    }

    PathView {
        id: pathViewID
        anchors.fill: parent
        anchors.centerIn: parent
        model: listModelID
        delegate: delegeteID
        visible: baseRectID.visiblePath

        //highlight: highlightID
        preferredHighlightBegin: 0.5
        preferredHighlightEnd: 0.5
        pathItemCount:5


        path: Path {
            startX:0; startY: 0
          PathAttribute { name: "scaleItem"; value: 0.3 }
          PathAttribute { name: "zItem"; value: 0 }

          PathQuad { x: pathViewID.width/2; y: pathViewID.height/2; controlX:0; controlY:  pathViewID.height/1.5}

              PathAttribute { name: "scaleItem"; value: 1 }
              PathAttribute { name: "zItem"; value: 1 }

            PathQuad { x: pathViewID.width; y: 0; controlX:pathViewID.width; controlY:  pathViewID.height/1.5}

        }//path
    }//pathViewID

    Component{
        id:pdfFullViewComponentID
        PdfFullView{
            id: pdfFullViewID
            width: baseRectID.width
            height: baseRectID.height
            page: baseRectID.currentPage
            Connections{target:baseRectID; onBack3D:pdfFullViewID.destroy()}
        }//pdfFullViewID

    }//pdfFullViewComponentID


}//baseRectID
